#
# spec file for package libedit
#
# Copyright (c) 2012 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           libedit
Version:        3.0.snap20110802
Release:        1.13
%define pkg_name    libedit
%define pkg_version 20110802-3.0
#
#
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  gcc-c++
BuildRequires:  libtool
BuildRequires:  ncurses-devel
BuildRequires:  pkgconfig
#
Url:            http://www.thrysoee.dk/editline/
# http://www.thrysoee.dk/editline/%{pkg_name}-%{pkg_version}.tar.gz
Source:         %{pkg_name}-%{pkg_version}.tar.gz
Source1:        README.SuSE
Source2:        baselibs.conf
Patch2:         libedit-20100424-3.0-ncurses.patch
Patch3:         libedit-ocloexec.patch
Patch4:         libedit-visibility.patch
Summary:        Command Line Editing and History Library
License:        BSD-3-Clause
Group:          Development/Libraries/C and C++

%description
libedit is a command line editing and history library. It is designed
to be used by interactive programs that allow the user to type commands
at a terminal prompt.

%define library_name libedit0
%define soname 0

%package -n %{library_name}
Provides:       %{pkg_name} = %{version}-%{release}
Obsoletes:      %{pkg_name} < %{version}
Summary:        Command Line Editing and History Library
Group:          Development/Libraries/C and C++

%description -n %{library_name}
libedit is a command line editing and history library. It is designed
to be used by interactive programs that allow the user to type commands
at a terminal prompt.

%package -n libedit-devel
Requires:       %{library_name} = %{version}
Provides:       %{library_name}-devel = %{version}-%{release}
Requires:       glibc-devel
Summary:        Development files for libedit
Group:          Development/Libraries/C and C++

%description -n libedit-devel
libedit is a command line editing and history library. It is designed
to be used by interactive programs that allow the user to type commands
at a terminal prompt.

This package holds the development files for libedit.

%prep
%setup -q -n %{pkg_name}-%{pkg_version}
%{__cp} %{S:1} .
%patch2
%patch3 -p1
%patch4 -p1
%build
NOCONFIGURE=1 autoreconf -fiv
%configure --disable-static --with-pic \
    --disable-silent-rules \
    --enable-widec

make %{?_smp_mflags}

%install
%makeinstall
%__rm "%{buildroot}%{_libdir}"/*.la

%check
make check

%post   -n %{library_name} -p /sbin/ldconfig

%postun -n %{library_name} -p /sbin/ldconfig

%files -n %{library_name}
%defattr(-,root,root,-)
%{_libdir}/libedit.so.%{soname}
%{_libdir}/libedit.so.%{soname}.*
%{_mandir}/man5/editrc.5%{ext_man}
%doc README.SuSE THANKS ChangeLog COPYING examples/*c

%files -n libedit-devel
%defattr(-,root,root,-)
%{_libdir}/libedit.so
%{_includedir}/histedit.h
%{_includedir}/editline/
%{_mandir}/man3/*.3%{ext_man}
%{_libdir}/pkgconfig/libedit.pc

%changelog
* Tue Mar 13 2012 crrodriguez@opensuse.org
-  open all FDs with O_CLOEXEC in the library code.
-  use gcc visibility by just reusing upstream macros "public"
  and "protected"
* Thu Feb 23 2012 crrodriguez@opensuse.org
- Update to version 20110802, fix use after free triggerable
  with sftp autocompletion and MALLOC_PERTURB set.
* Sun Nov 13 2011 jengelh@medozas.de
- Remove redundant/unwanted tags/section (cf. specfile guidelines)
- Use %%_smp_mflags for parallel building
* Sun Nov 13 2011 coolo@suse.com
- add libtool as explicit buildrequire to avoid implicit dependency from prjconf
* Tue Aug  2 2011 tiwai@suse.de
- Add baselibs.conf
* Sun Jul 31 2011 crrodriguez@opensuse.org
- Link with ncurses6w instead of ncurses5
- Do not inject artificial dependencies on other packages
* Sat Apr 24 2010 pascal.bleser@opensuse.org
- update to 20100424:
  * synchronized with the upstream source
  * UTF-8 support was added
* Mon Dec 21 2009 coolo@novell.com
- fix build with using autoreconf
* Sat Dec 19 2009 jengelh@medozas.de
- Enable parallel build
* Thu Dec  3 2009 vuntz@opensuse.org
- Update to version 20090923-3.0:
  + all: apply Apple patches from:
    http://opensource.apple.com/source/libedit/libedit-11/patches
- Changes from previous versions:
  + version-info: 0:33:0
  - all: Use predefined macro __sun to identify Solaris
  - src/el.c: Ignore comment lines in .editrc
  + version-info: 0:32:0
  - all: sync with upstream source.
  + version-info: 0:31:0
  - all: sync with upstream source.
  + version-info: 0:30:0
  - all: sync with upstream source.
  + version-info: 0:29:0
  - all: sync with upstream source.
  + version-info: 0:28:0
  - all: sync with upstream source. MAJOR.MINOR version is now
    3.0. This is due to NetBSD changing time_t and dev_t to 64
    bits. It does not really effect this package.
  - configure.ac: Remove '--enable-debug' configure flag. The
    autoconf way to control flags is by specifying them when
    running configure, e.g. 'CFLAGS="-O0 -g" ./configure'
- Fix self-obsoletion of libedit.
- Add libedit-ncurses-pkg-config.patch to fix the pkg-config file
  so that it references ncurses, and not curses.
* Sat Sep  6 2008 mrueckert@suse.de
- update to 20080712-2.11
  * version-info: 0:27:0
  * configure.ac: Added '--enable-debug' configure flag, to produce
    debugging information.
  * examples/fileman.c: cast stat struct members, st_nlink and
    st_size, appropriately (see also 'man 2 stat').
    Patch by Alex Elder.
  * all: sync with upstream source. MINOR version is now 11.
- rename main package to libedit and split out a subpackage libedit0
* Fri Aug 31 2007 mrueckert@suse.de
- update to 20070831-2.10
  * version-info: 0:26:0
  * libedit.pc.in,Makefile.am,configure.ac,patches/extra_dist_list.sh:
    Added pkg-config support for libedit. Patch by Masatake YAMATO.
* Tue Aug 14 2007 mrueckert@suse.de
- update to 20070813-2.10
  * version-info: 0:25:0
  * all: sync with upstream source.
* Mon Jul 16 2007 mrueckert@suse.de
- fixed a few -n lines that wont work in abuild otherwise
* Mon Jun 11 2007 mrueckert@suse.de
- rename package to follow the library packaging policy.
- dont build the static lib
* Sat Mar  3 2007 mrueckert@suse.de
- update to 20070302-2.10:
  * version-info: 0:24:0
  * all: sync with upstream source.
  * A bug with el_push() has been fixed.
* Tue Jan  9 2007 mrueckert@suse.de
- update to 20061228-2.10:
  * version-info: 0:23:0
  * src/shlib_version: Upstream bumped minor version from 9 to 10.
  * all: sync with upstream source. More readline functions.
* Sun Oct 22 2006 mrueckert@suse.de
- update to 20061022-2.9:
  synced with upstream source.
* Thu Aug 31 2006 mrueckert@suse.de
- removed changelog from README.SuSE
* Tue Aug 29 2006 mrueckert@suse.de
- update to 20060829-2.9:
  Finally all files are bsd 3 clause.
  This package should be GPL compatible now.
* Thu Aug 17 2006 mrueckert@suse.de
- run ldconfig
* Thu Aug 17 2006 mrueckert@suse.de
- updated to 20060816-2.9:
  * sync with upstream sources
